%global momorel 1

%define nvfw nouveau-firmware-1

Name:		linux-firmware
Version:	20110604
Release:	%{momorel}m%{?dist}
Summary:	Firmware files used by the Linux kernel

Group:		System Environment/Kernel
License:	GPL+ and GPLv2+ and MIT and "Redistributable, no modification permitted"
URL:		http://www.kernel.org/
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/people/dwmw2/firmware/%{name}-%{version}.tar.bz2
NoSource:	0
Source1:	%{nvfw}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Provides:	kernel-firmware = %{version} xorg-x11-drv-ati-firmware = 7.0
Obsoletes:	kernel-firmware < %{version} xorg-x11-drv-ati-firmware < 6.13.0-0.22
Requires:	udev
Provides:	ueagle-atm4-firmware = 1.0

%description
Kernel-firmware includes firmware files required for some devices to
operate.

%prep
%setup -q -n linux-firmware-%{version} -b1

%build
# Remove firmware shipped in separate packages already
# Perhaps these should be built as subpackages of linux-firmware?
rm ql2???_fw.bin LICENCE.qla2xxx
rm iwlwifi-*.ucode LICENCE.iwlwifi_firmware
rm -rf ess korg sb16 yamaha
# We have _some_ ralink firmware in separate packages already.
rm rt73.bin rt2561.bin rt2561s.bin rt2661.bin
# And _some_ conexant firmware.
rm v4l-cx23418-apu.fw v4l-cx23418-cpu.fw v4l-cx23418-dig.fw v4l-cx25840.fw

# Remove source files we don't need to install
rm -f usbdux/*dux */*.asm

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -r * %{buildroot}/lib/firmware
rm %{buildroot}/lib/firmware/{WHENCE,LICENCE.*}

pushd ../%{nvfw}
mkdir -p %{buildroot}/lib/firmware/nouveau
cp -a * %{buildroot}/lib/firmware/nouveau
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc WHENCE LICENCE.* LICENSE.*
/lib/firmware/*

%changelog
* Tue Jun  7 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (20110604-1m)
- update 20110604

* Thu May 12 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (20110511-1m)
- update 20110511

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (20110311-2m)
- rebuild for new GCC 4.6

* Sat Apr  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (20110311-1m)
- update 20110311

* Tue Jan 11 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (20110110-1m)
- update 20110110

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (20101113-2m)
- rebuild for new GCC 4.5

* Sat Nov 13 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (20101113-1m)
- update 20101113
-- add firmware:  Realtek RTL8712U and RTL8192CE

* Wed Oct  6 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (20100930-1m)
- update 20100930

* Thu Sep 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (20100912-1m)
- update 20100912

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (20100808-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (20100808-1m)
- update 20100808

* Mon Jul 26 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20100617-2m)
- Provides: ueagle-atm4-firmware = 1.0

* Sat Jul 24 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (20100617-1m)
- import from Fedora
- update 20100617

* Fri Apr 09 2010 Dave Airlie <airlied@redhat.com> 20100106-4
- Add further radeon firmwares

* Wed Feb 10 2010 Dave Airlie <airlied@redhat.com> 20100106-3
- add radeon RLC firmware - submitted upstream to dwmw2 already.

* Tue Feb 09 2010 Ben Skeggs <bskeggs@redhat.com> 20090106-2
- Add firmware needed for nouveau to operate correctly (this is Fedora
  only - do not upstream yet - we just moved it here from Fedora kernel)

* Wed Jan 06 2010 David Woodhouse <David.Woodhouse@intel.com> 20090106-1
- Update

* Fri Aug 21 2009 David Woodhouse <David.Woodhouse@intel.com> 20090821-1
- Update, fix typos, remove some files which conflict with other packages.

* Thu Mar 19 2009 David Woodhouse <David.Woodhouse@intel.com> 20090319-1
- First standalone kernel-firmware package.
